<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-title>
			Cập nhật
		</ion-title>
		<ion-buttons slot="end">
			<ion-button (click)="updateData()">
				<ion-icon slot="icon-only" name="save"></ion-icon>
			</ion-button>
		</ion-buttons>
	</ion-toolbar>
</ion-header>
<ion-content class="profile-edit">
	<ion-card no-margin>
		<ion-card-content class="bg-profile">
			<ion-avatar>
				<img [src]="data.UrlHinhDaiDien || 'assets/img-user.jpg'" class="user-avatar">
				<ion-icon name="camera" (click)="chooseImage()"></ion-icon>
			</ion-avatar>
			<!-- <img [src]="data.UrlHinhDaiDien || 'assets/img-user.jpg'" class="user-avatar"> -->
			<h1 class="fw500">{{dataRoot.HoTen || 'Chưa cập nhật'}}</h1>
			<!-- <h2 color="light" margin-bottom>Admin</h2> -->
			<h3 margin-bottom> {{dataRoot.Email}}</h3>
			<h3 margin-bottom> {{dataRoot.DienThoai}}</h3>

			<!-- <ion-button icon-left color="secondary">
				<ion-icon name="photos"></ion-icon> 
				Cập nhật ảnh đại diện
		</ion-button> -->
		</ion-card-content>

		<ion-grid fixed class="ion-no-padding">
			<ion-row>
				<ion-col size="12" class="ion-padding">

					<ion-list margin-bottom>
						<ion-list-header color="light">
							<ion-label class="fw700">Thông tin chung</ion-label>
						</ion-list-header>

						<ion-item>
							<ion-label color="dark" position="stacked">Họ tên:</ion-label>
							<ion-input inputmode="text" placeholder="Vui lòng nhập họ tên" [(ngModel)]="data.HoTen">
							</ion-input>
						</ion-item>

						<ion-item>
							<ion-label color="dark" position="stacked">Email:</ion-label>
							<dailyxe-ion-email placeholder="Vui lòng nhập email" [(ngModel)]="data.Email">
							</dailyxe-ion-email>
						</ion-item>

						<ion-item>
							<ion-label color="dark" position="stacked">Điện thoại:</ion-label>
							<dailyxe-ion-numberphone placeholder="Vui lòng nhập điện thoại"
								[(ngModel)]="data.DienThoai"></dailyxe-ion-numberphone>
							<!-- <ion-input inputmode="email" placeholder="Vui lòng nhập điện thoại" [(ngModel)]="data.DienThoai"></ion-input> -->
						</ion-item>
					</ion-list>

					<ion-list margin-bottom>
						<ion-list-header color="light">
							<ion-label class="fw700">Thông tin đăng nhập</ion-label>
						</ion-list-header>

						<ion-item>
							<ion-label color="dark" position="stacked">Tên đăng nhập:</ion-label>
							<ion-input disabled inputmode="text" placeholder="Vui lòng nhập tên đăng nhập" onlyRead
								[(ngModel)]="data.TenDangNhap"></ion-input>
						</ion-item>

						<ion-item>
							<ion-label color="dark" position="stacked">Mật khẩu:</ion-label>
							<ion-input disabled inputmode="email" placeholder="Vui lòng nhập mật khẩu"
								[(ngModel)]="data.MatKhau"></ion-input>
						</ion-item>

						<ion-item>
							<ion-label color="dark" position="stacked">Xác nhận mật khẩu:</ion-label>
							<ion-input disabled inputmode="email" placeholder="Vui lòng nhập xác nhận mật khẩu"
								[(ngModel)]="data.XacNhanMatKhau"></ion-input>
						</ion-item>


					</ion-list>
				</ion-col>
			</ion-row>
		</ion-grid>
	</ion-card>

</ion-content>